
QGIS Application - Feature request #4704

set OSG plugins dir at compilation

2011-12-27 06:51 AM - William Kyngesburye

Status: Closed

Priority: High

Assignee: Pirmin Kalberer

Category: C++ plugins/Globe

Pull Request or Patch supplied:Yes Resolution: fixed

Easy fix?: No Copied to github as #: 14588

Description

When packaging QGIS on OS X, for the globe plugin the OSG frameworks and plugins are bundled in the QGIS app.  The globe plugin

then needs to know where to find the OSG plugins.  The attached patch seems to work, though I haven't done much testing.  There may

also be a better way to configure it (ie with cmake).  Set QGIS_OSGPLUGIN_SUBDIR in the shell environment before running make. 

This var works like all the other QGIS_*_SUBDIR vars in the main cmakelists.txt.

History

#1 - 2011-12-27 06:56 AM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes

#2 - 2012-04-15 10:21 AM - Giovanni Manghi

- Target version set to Version 2.0.0

#3 - 2012-04-15 12:37 PM - William Kyngesburye

- Resolution set to fixed

- Target version changed from Version 2.0.0 to Version 1.8.0

I forgot I had this request here.  I applied this as a part of my OSG bundling update: commit:4ecd56886c (master) and commit:e3f33b3808 (release-1_8). 

As a small variation to my original patch, it only applies to OS X.

#4 - 2012-04-16 05:31 AM - Paolo Cavallini

- Status changed from Open to Closed

Files

globe_plugin.cpp.patch 802 Bytes 2011-12-27 William Kyngesburye
